{ config, inputs, ... }:

{
  nixpkgs.overlays = [ inputs.neovim-overlay.overlay ];

  nixpkgs.config.packageOverrides = pkgs: with pkgs; {
    neovim-qt-unwrapped = neovim-qt-unwrapped.overrideDerivation (_: {
      src = fetchFromGitHub {
        owner  = "equalsraf";
        repo   = "neovim-qt";
        rev    = "4193c1441c38096cda518b22a4e60acd52248680";
        sha256 = "sha256-kKrKObx7psf5b0jSp91G+cj5+aqWn3Rk7oOU7W8jBxw=";
      };
    });
  };
}
